package org.chir;

import java.io.*;
import javax.swing.*;


public class FileExtensionFilter extends javax.swing.filechooser.FileFilter
{        
    public FileExtensionFilter( String ext, String lab )
    {
        m_extT = ext;  m_labT = lab;
    }
    public boolean accept( File f )                 // override
    {
        if( ! f.isDirectory() )
        {
            return f.getName().endsWith( m_extT );  // Show only files with the given extension.
        }
        else
        {
            return true;                            // Show directories as well.
        }
    }
    public String getDescription()  { return m_labT; }       // The description of this filter.

    private String m_extT, m_labT;
}    
